- Qt 5.3
- Qt Multimedia
- C++ Classes
- QMediaBindableInterface
- Qt 5.3.2 Reference Documentation

# QMediaBindableInterface Class

The QMediaBindableInterface class is the base class for objects extending media objects functionality. More...

Header: | `#include <QMediaBindableInterface>`
qmake: | `QT += multimedia`
Inherited By: | QCameraImageCapture, QMediaPlaylist, QMediaRecorder, and QRadioData.

- List of all members, including inherited members

## Public Functions

virtual | ~QMediaBindableInterface()
virtual QMediaObject * | mediaObject() const = 0

## Protected Functions

virtual bool | setMediaObject(QMediaObject * object) = 0

## Detailed Description

The QMediaBindableInterface class is the base class for objects extending media objects functionality.

## Member Function Documentation

### QMediaBindableInterface::~QMediaBindableInterface()`[virtual]`

Destroys a media helper object.

### QMediaObject * QMediaBindableInterface::mediaObject() const`[pure virtual]`

Return the currently attached media object.

See also setMediaObject().

### bool QMediaBindableInterface::setMediaObject(QMediaObject * object)`[pure virtual protected]`

Attaches to the media object. Returns true if attached successfully, otherwise returns false.

See also mediaObject().